float rand(vec2 n) {
	return fract(sin(dot(n, vec2(102.9898, 4.1414))) * 43758.5453);
}

in lowp vec4 colorV;
in lowp vec2 texCoordV;
out lowp vec4 fragColor;
uniform sampler2D myTextureSampler;

void main(void) {
	fragColor = texture(myTextureSampler, texCoordV) * colorV;
	float n	  = rand(texCoordV);
	n		  = n * n;
	n *= 0.06;
	float len	   = length(texCoordV - vec2(0.5, 0.5));
	float vignette = smoothstep(0.9, 0.5, len);
	fragColor.r -= n;
	fragColor.g -= n;
	fragColor.b -= n;
	fragColor.rgb *= vignette;
	//									  fragColor.r = vignette;
	//									  fragColor.g = vignette;
	//									  fragColor.b = vignette;
}